package com.bootdo.data.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class InfoEnterpriseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public InfoEnterpriseExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("tf_info_enterprise.id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("tf_info_enterprise.id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("tf_info_enterprise.id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("tf_info_enterprise.id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("tf_info_enterprise.id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("tf_info_enterprise.id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("tf_info_enterprise.id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("tf_info_enterprise.id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("tf_info_enterprise.id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("tf_info_enterprise.id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("tf_info_enterprise.id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("tf_info_enterprise.id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeIsNull() {
            addCriterion("tf_info_enterprise.uniform_social_credit_code is null");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeIsNotNull() {
            addCriterion("tf_info_enterprise.uniform_social_credit_code is not null");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeEqualTo(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code =", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code <>", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeGreaterThan(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code >", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code >=", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeLessThan(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code <", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code <=", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeLike(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code like", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotLike(String value) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code not like", value, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeIn(List<String> values) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code in", values, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code not in", values, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code between", value1, value2, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andUniformSocialCreditCodeNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.uniform_social_credit_code not between", value1, value2, "uniformSocialCreditCode");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("tf_info_enterprise.company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("tf_info_enterprise.company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("tf_info_enterprise.company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("tf_info_enterprise.company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("tf_info_enterprise.company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("tf_info_enterprise.company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("tf_info_enterprise.company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("tf_info_enterprise.company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNull() {
            addCriterion("tf_info_enterprise.`password` is null");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNotNull() {
            addCriterion("tf_info_enterprise.`password` is not null");
            return (Criteria) this;
        }

        public Criteria andPasswordEqualTo(String value) {
            addCriterion("tf_info_enterprise.`password` =", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.`password` <>", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThan(String value) {
            addCriterion("tf_info_enterprise.`password` >", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.`password` >=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThan(String value) {
            addCriterion("tf_info_enterprise.`password` <", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.`password` <=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLike(String value) {
            addCriterion("tf_info_enterprise.`password` like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotLike(String value) {
            addCriterion("tf_info_enterprise.`password` not like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordIn(List<String> values) {
            addCriterion("tf_info_enterprise.`password` in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.`password` not in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.`password` between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.`password` not between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andContactsIsNull() {
            addCriterion("tf_info_enterprise.contacts is null");
            return (Criteria) this;
        }

        public Criteria andContactsIsNotNull() {
            addCriterion("tf_info_enterprise.contacts is not null");
            return (Criteria) this;
        }

        public Criteria andContactsEqualTo(String value) {
            addCriterion("tf_info_enterprise.contacts =", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.contacts <>", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsGreaterThan(String value) {
            addCriterion("tf_info_enterprise.contacts >", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.contacts >=", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsLessThan(String value) {
            addCriterion("tf_info_enterprise.contacts <", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.contacts <=", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsLike(String value) {
            addCriterion("tf_info_enterprise.contacts like", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsNotLike(String value) {
            addCriterion("tf_info_enterprise.contacts not like", value, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsIn(List<String> values) {
            addCriterion("tf_info_enterprise.contacts in", values, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.contacts not in", values, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.contacts between", value1, value2, "contacts");
            return (Criteria) this;
        }

        public Criteria andContactsNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.contacts not between", value1, value2, "contacts");
            return (Criteria) this;
        }

        public Criteria andIndustryIsNull() {
            addCriterion("tf_info_enterprise.industry is null");
            return (Criteria) this;
        }

        public Criteria andIndustryIsNotNull() {
            addCriterion("tf_info_enterprise.industry is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryEqualTo(String value) {
            addCriterion("tf_info_enterprise.industry =", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.industry <>", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryGreaterThan(String value) {
            addCriterion("tf_info_enterprise.industry >", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.industry >=", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLessThan(String value) {
            addCriterion("tf_info_enterprise.industry <", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.industry <=", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLike(String value) {
            addCriterion("tf_info_enterprise.industry like", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotLike(String value) {
            addCriterion("tf_info_enterprise.industry not like", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryIn(List<String> values) {
            addCriterion("tf_info_enterprise.industry in", values, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.industry not in", values, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.industry between", value1, value2, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.industry not between", value1, value2, "industry");
            return (Criteria) this;
        }

        public Criteria andMobileIsNull() {
            addCriterion("tf_info_enterprise.mobile is null");
            return (Criteria) this;
        }

        public Criteria andMobileIsNotNull() {
            addCriterion("tf_info_enterprise.mobile is not null");
            return (Criteria) this;
        }

        public Criteria andMobileEqualTo(String value) {
            addCriterion("tf_info_enterprise.mobile =", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.mobile <>", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileGreaterThan(String value) {
            addCriterion("tf_info_enterprise.mobile >", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.mobile >=", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileLessThan(String value) {
            addCriterion("tf_info_enterprise.mobile <", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.mobile <=", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileLike(String value) {
            addCriterion("tf_info_enterprise.mobile like", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileNotLike(String value) {
            addCriterion("tf_info_enterprise.mobile not like", value, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileIn(List<String> values) {
            addCriterion("tf_info_enterprise.mobile in", values, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.mobile not in", values, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.mobile between", value1, value2, "mobile");
            return (Criteria) this;
        }

        public Criteria andMobileNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.mobile not between", value1, value2, "mobile");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("tf_info_enterprise.address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("tf_info_enterprise.address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("tf_info_enterprise.address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("tf_info_enterprise.address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("tf_info_enterprise.address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("tf_info_enterprise.address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("tf_info_enterprise.address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("tf_info_enterprise.address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andEmailIsNull() {
            addCriterion("tf_info_enterprise.email is null");
            return (Criteria) this;
        }

        public Criteria andEmailIsNotNull() {
            addCriterion("tf_info_enterprise.email is not null");
            return (Criteria) this;
        }

        public Criteria andEmailEqualTo(String value) {
            addCriterion("tf_info_enterprise.email =", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.email <>", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThan(String value) {
            addCriterion("tf_info_enterprise.email >", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.email >=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThan(String value) {
            addCriterion("tf_info_enterprise.email <", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.email <=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLike(String value) {
            addCriterion("tf_info_enterprise.email like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotLike(String value) {
            addCriterion("tf_info_enterprise.email not like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailIn(List<String> values) {
            addCriterion("tf_info_enterprise.email in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.email not in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.email between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.email not between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andStateIsNull() {
            addCriterion("tf_info_enterprise.`state` is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull() {
            addCriterion("tf_info_enterprise.`state` is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Byte value) {
            addCriterion("tf_info_enterprise.`state` =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Byte value) {
            addCriterion("tf_info_enterprise.`state` <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Byte value) {
            addCriterion("tf_info_enterprise.`state` >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Byte value) {
            addCriterion("tf_info_enterprise.`state` >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Byte value) {
            addCriterion("tf_info_enterprise.`state` <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Byte value) {
            addCriterion("tf_info_enterprise.`state` <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Byte> values) {
            addCriterion("tf_info_enterprise.`state` in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Byte> values) {
            addCriterion("tf_info_enterprise.`state` not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Byte value1, Byte value2) {
            addCriterion("tf_info_enterprise.`state` between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Byte value1, Byte value2) {
            addCriterion("tf_info_enterprise.`state` not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andProvinceIsNull() {
            addCriterion("tf_info_enterprise.province is null");
            return (Criteria) this;
        }

        public Criteria andProvinceIsNotNull() {
            addCriterion("tf_info_enterprise.province is not null");
            return (Criteria) this;
        }

        public Criteria andProvinceEqualTo(String value) {
            addCriterion("tf_info_enterprise.province =", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.province <>", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceGreaterThan(String value) {
            addCriterion("tf_info_enterprise.province >", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.province >=", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceLessThan(String value) {
            addCriterion("tf_info_enterprise.province <", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.province <=", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceLike(String value) {
            addCriterion("tf_info_enterprise.province like", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotLike(String value) {
            addCriterion("tf_info_enterprise.province not like", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceIn(List<String> values) {
            addCriterion("tf_info_enterprise.province in", values, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.province not in", values, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.province between", value1, value2, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.province not between", value1, value2, "province");
            return (Criteria) this;
        }

        public Criteria andCityIsNull() {
            addCriterion("tf_info_enterprise.city is null");
            return (Criteria) this;
        }

        public Criteria andCityIsNotNull() {
            addCriterion("tf_info_enterprise.city is not null");
            return (Criteria) this;
        }

        public Criteria andCityEqualTo(String value) {
            addCriterion("tf_info_enterprise.city =", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.city <>", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityGreaterThan(String value) {
            addCriterion("tf_info_enterprise.city >", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.city >=", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityLessThan(String value) {
            addCriterion("tf_info_enterprise.city <", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.city <=", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityLike(String value) {
            addCriterion("tf_info_enterprise.city like", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotLike(String value) {
            addCriterion("tf_info_enterprise.city not like", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityIn(List<String> values) {
            addCriterion("tf_info_enterprise.city in", values, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.city not in", values, "city");
            return (Criteria) this;
        }

        public Criteria andCityBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.city between", value1, value2, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.city not between", value1, value2, "city");
            return (Criteria) this;
        }

        public Criteria andDistrictIsNull() {
            addCriterion("tf_info_enterprise.district is null");
            return (Criteria) this;
        }

        public Criteria andDistrictIsNotNull() {
            addCriterion("tf_info_enterprise.district is not null");
            return (Criteria) this;
        }

        public Criteria andDistrictEqualTo(String value) {
            addCriterion("tf_info_enterprise.district =", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.district <>", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictGreaterThan(String value) {
            addCriterion("tf_info_enterprise.district >", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.district >=", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictLessThan(String value) {
            addCriterion("tf_info_enterprise.district <", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.district <=", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictLike(String value) {
            addCriterion("tf_info_enterprise.district like", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictNotLike(String value) {
            addCriterion("tf_info_enterprise.district not like", value, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictIn(List<String> values) {
            addCriterion("tf_info_enterprise.district in", values, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.district not in", values, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.district between", value1, value2, "district");
            return (Criteria) this;
        }

        public Criteria andDistrictNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.district not between", value1, value2, "district");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("tf_info_enterprise.create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("tf_info_enterprise.create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("tf_info_enterprise.create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("tf_info_enterprise.create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("tf_info_enterprise.create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("tf_info_enterprise.create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("tf_info_enterprise.create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("tf_info_enterprise.create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("tf_info_enterprise.create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("tf_info_enterprise.create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("tf_info_enterprise.create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("tf_info_enterprise.create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("tf_info_enterprise.update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("tf_info_enterprise.update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("tf_info_enterprise.update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("tf_info_enterprise.update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("tf_info_enterprise.update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("tf_info_enterprise.update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("tf_info_enterprise.update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("tf_info_enterprise.update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("tf_info_enterprise.update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("tf_info_enterprise.update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("tf_info_enterprise.update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("tf_info_enterprise.update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andServiceTypeIsNull() {
            addCriterion("tf_info_enterprise.service_type is null");
            return (Criteria) this;
        }

        public Criteria andServiceTypeIsNotNull() {
            addCriterion("tf_info_enterprise.service_type is not null");
            return (Criteria) this;
        }

        public Criteria andServiceTypeEqualTo(String value) {
            addCriterion("tf_info_enterprise.service_type =", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.service_type <>", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeGreaterThan(String value) {
            addCriterion("tf_info_enterprise.service_type >", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.service_type >=", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeLessThan(String value) {
            addCriterion("tf_info_enterprise.service_type <", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.service_type <=", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeLike(String value) {
            addCriterion("tf_info_enterprise.service_type like", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeNotLike(String value) {
            addCriterion("tf_info_enterprise.service_type not like", value, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeIn(List<String> values) {
            addCriterion("tf_info_enterprise.service_type in", values, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.service_type not in", values, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.service_type between", value1, value2, "serviceType");
            return (Criteria) this;
        }

        public Criteria andServiceTypeNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.service_type not between", value1, value2, "serviceType");
            return (Criteria) this;
        }

        public Criteria andAsOfDateIsNull() {
            addCriterion("tf_info_enterprise.as_of_date is null");
            return (Criteria) this;
        }

        public Criteria andAsOfDateIsNotNull() {
            addCriterion("tf_info_enterprise.as_of_date is not null");
            return (Criteria) this;
        }

        public Criteria andAsOfDateEqualTo(Date value) {
            addCriterion("tf_info_enterprise.as_of_date =", value, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateNotEqualTo(Date value) {
            addCriterion("tf_info_enterprise.as_of_date <>", value, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateGreaterThan(Date value) {
            addCriterion("tf_info_enterprise.as_of_date >", value, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateGreaterThanOrEqualTo(Date value) {
            addCriterion("tf_info_enterprise.as_of_date >=", value, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateLessThan(Date value) {
            addCriterion("tf_info_enterprise.as_of_date <", value, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateLessThanOrEqualTo(Date value) {
            addCriterion("tf_info_enterprise.as_of_date <=", value, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateIn(List<Date> values) {
            addCriterion("tf_info_enterprise.as_of_date in", values, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateNotIn(List<Date> values) {
            addCriterion("tf_info_enterprise.as_of_date not in", values, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateBetween(Date value1, Date value2) {
            addCriterion("tf_info_enterprise.as_of_date between", value1, value2, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andAsOfDateNotBetween(Date value1, Date value2) {
            addCriterion("tf_info_enterprise.as_of_date not between", value1, value2, "asOfDate");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceIsNull() {
            addCriterion("tf_info_enterprise.business_licence is null");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceIsNotNull() {
            addCriterion("tf_info_enterprise.business_licence is not null");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceEqualTo(String value) {
            addCriterion("tf_info_enterprise.business_licence =", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.business_licence <>", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceGreaterThan(String value) {
            addCriterion("tf_info_enterprise.business_licence >", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.business_licence >=", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceLessThan(String value) {
            addCriterion("tf_info_enterprise.business_licence <", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.business_licence <=", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceLike(String value) {
            addCriterion("tf_info_enterprise.business_licence like", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceNotLike(String value) {
            addCriterion("tf_info_enterprise.business_licence not like", value, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceIn(List<String> values) {
            addCriterion("tf_info_enterprise.business_licence in", values, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.business_licence not in", values, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.business_licence between", value1, value2, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenceNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.business_licence not between", value1, value2, "businessLicence");
            return (Criteria) this;
        }

        public Criteria andCreditChinaIsNull() {
            addCriterion("tf_info_enterprise.credit_china is null");
            return (Criteria) this;
        }

        public Criteria andCreditChinaIsNotNull() {
            addCriterion("tf_info_enterprise.credit_china is not null");
            return (Criteria) this;
        }

        public Criteria andCreditChinaEqualTo(String value) {
            addCriterion("tf_info_enterprise.credit_china =", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.credit_china <>", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaGreaterThan(String value) {
            addCriterion("tf_info_enterprise.credit_china >", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.credit_china >=", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaLessThan(String value) {
            addCriterion("tf_info_enterprise.credit_china <", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.credit_china <=", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaLike(String value) {
            addCriterion("tf_info_enterprise.credit_china like", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaNotLike(String value) {
            addCriterion("tf_info_enterprise.credit_china not like", value, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaIn(List<String> values) {
            addCriterion("tf_info_enterprise.credit_china in", values, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.credit_china not in", values, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.credit_china between", value1, value2, "creditChina");
            return (Criteria) this;
        }

        public Criteria andCreditChinaNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.credit_china not between", value1, value2, "creditChina");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberIsNull() {
            addCriterion("tf_info_enterprise.tax_registration_number is null");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberIsNotNull() {
            addCriterion("tf_info_enterprise.tax_registration_number is not null");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberEqualTo(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number =", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number <>", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberGreaterThan(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number >", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number >=", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberLessThan(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number <", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number <=", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberLike(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number like", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberNotLike(String value) {
            addCriterion("tf_info_enterprise.tax_registration_number not like", value, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberIn(List<String> values) {
            addCriterion("tf_info_enterprise.tax_registration_number in", values, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.tax_registration_number not in", values, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.tax_registration_number between", value1, value2, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andTaxRegistrationNumberNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.tax_registration_number not between", value1, value2, "taxRegistrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberIsNull() {
            addCriterion("tf_info_enterprise.registration_number is null");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberIsNotNull() {
            addCriterion("tf_info_enterprise.registration_number is not null");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberEqualTo(String value) {
            addCriterion("tf_info_enterprise.registration_number =", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.registration_number <>", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberGreaterThan(String value) {
            addCriterion("tf_info_enterprise.registration_number >", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.registration_number >=", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberLessThan(String value) {
            addCriterion("tf_info_enterprise.registration_number <", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.registration_number <=", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberLike(String value) {
            addCriterion("tf_info_enterprise.registration_number like", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberNotLike(String value) {
            addCriterion("tf_info_enterprise.registration_number not like", value, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberIn(List<String> values) {
            addCriterion("tf_info_enterprise.registration_number in", values, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.registration_number not in", values, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.registration_number between", value1, value2, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andRegistrationNumberNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.registration_number not between", value1, value2, "registrationNumber");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeIsNull() {
            addCriterion("tf_info_enterprise.organization_code is null");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeIsNotNull() {
            addCriterion("tf_info_enterprise.organization_code is not null");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeEqualTo(String value) {
            addCriterion("tf_info_enterprise.organization_code =", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.organization_code <>", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeGreaterThan(String value) {
            addCriterion("tf_info_enterprise.organization_code >", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.organization_code >=", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeLessThan(String value) {
            addCriterion("tf_info_enterprise.organization_code <", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.organization_code <=", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeLike(String value) {
            addCriterion("tf_info_enterprise.organization_code like", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeNotLike(String value) {
            addCriterion("tf_info_enterprise.organization_code not like", value, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeIn(List<String> values) {
            addCriterion("tf_info_enterprise.organization_code in", values, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.organization_code not in", values, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.organization_code between", value1, value2, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andOrganizationCodeNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.organization_code not between", value1, value2, "organizationCode");
            return (Criteria) this;
        }

        public Criteria andSettlingBankIsNull() {
            addCriterion("tf_info_enterprise.settling_bank is null");
            return (Criteria) this;
        }

        public Criteria andSettlingBankIsNotNull() {
            addCriterion("tf_info_enterprise.settling_bank is not null");
            return (Criteria) this;
        }

        public Criteria andSettlingBankEqualTo(String value) {
            addCriterion("tf_info_enterprise.settling_bank =", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.settling_bank <>", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankGreaterThan(String value) {
            addCriterion("tf_info_enterprise.settling_bank >", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.settling_bank >=", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankLessThan(String value) {
            addCriterion("tf_info_enterprise.settling_bank <", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.settling_bank <=", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankLike(String value) {
            addCriterion("tf_info_enterprise.settling_bank like", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankNotLike(String value) {
            addCriterion("tf_info_enterprise.settling_bank not like", value, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankIn(List<String> values) {
            addCriterion("tf_info_enterprise.settling_bank in", values, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.settling_bank not in", values, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.settling_bank between", value1, value2, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andSettlingBankNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.settling_bank not between", value1, value2, "settlingBank");
            return (Criteria) this;
        }

        public Criteria andEffectTimeIsNull() {
            addCriterion("tf_info_enterprise.effect_time is null");
            return (Criteria) this;
        }

        public Criteria andEffectTimeIsNotNull() {
            addCriterion("tf_info_enterprise.effect_time is not null");
            return (Criteria) this;
        }

        public Criteria andEffectTimeEqualTo(String value) {
            addCriterion("tf_info_enterprise.effect_time =", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.effect_time <>", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeGreaterThan(String value) {
            addCriterion("tf_info_enterprise.effect_time >", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.effect_time >=", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeLessThan(String value) {
            addCriterion("tf_info_enterprise.effect_time <", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.effect_time <=", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeLike(String value) {
            addCriterion("tf_info_enterprise.effect_time like", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeNotLike(String value) {
            addCriterion("tf_info_enterprise.effect_time not like", value, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeIn(List<String> values) {
            addCriterion("tf_info_enterprise.effect_time in", values, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.effect_time not in", values, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.effect_time between", value1, value2, "effectTime");
            return (Criteria) this;
        }

        public Criteria andEffectTimeNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.effect_time not between", value1, value2, "effectTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeIsNull() {
            addCriterion("tf_info_enterprise.expiration_time is null");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeIsNotNull() {
            addCriterion("tf_info_enterprise.expiration_time is not null");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeEqualTo(String value) {
            addCriterion("tf_info_enterprise.expiration_time =", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeNotEqualTo(String value) {
            addCriterion("tf_info_enterprise.expiration_time <>", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeGreaterThan(String value) {
            addCriterion("tf_info_enterprise.expiration_time >", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeGreaterThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.expiration_time >=", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeLessThan(String value) {
            addCriterion("tf_info_enterprise.expiration_time <", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeLessThanOrEqualTo(String value) {
            addCriterion("tf_info_enterprise.expiration_time <=", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeLike(String value) {
            addCriterion("tf_info_enterprise.expiration_time like", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeNotLike(String value) {
            addCriterion("tf_info_enterprise.expiration_time not like", value, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeIn(List<String> values) {
            addCriterion("tf_info_enterprise.expiration_time in", values, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeNotIn(List<String> values) {
            addCriterion("tf_info_enterprise.expiration_time not in", values, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.expiration_time between", value1, value2, "expirationTime");
            return (Criteria) this;
        }

        public Criteria andExpirationTimeNotBetween(String value1, String value2) {
            addCriterion("tf_info_enterprise.expiration_time not between", value1, value2, "expirationTime");
            return (Criteria) this;
        }
    }

    /**
     *
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}